# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/CoordinateConversion/CoordinateConversionService.cpp File Reference

`#include <time.h>`
`#include <stdio.h>`
`#include "CoordinateConversionService.h"`
`#include "CoordinateSystemParameters.h"`
`#include "CoordinateTuple.h"`
`#include "CoordinateType.h"`
`#include "EllipsoidLibrary.h"`
`#include "EllipsoidLibraryImplementation.h"`
`#include "DatumLibrary.h"`
`#include "DatumLibraryImplementation.h"`
`#include "GeoidLibrary.h"`
`#include "Accuracy.h"`
`#include "EquidistantCylindricalParameters.h"`
`#include "GeodeticParameters.h"`
`#include "LocalCartesianParameters.h"`
`#include "MercatorStandardParallelParameters.h"`
`#include "MercatorScaleFactorParameters.h"`
`#include "MapProjection3Parameters.h"`
`#include "MapProjection4Parameters.h"`
`#include "MapProjection5Parameters.h"`
`#include "MapProjection6Parameters.h"`
`#include "NeysParameters.h"`
`#include "ObliqueMercatorParameters.h"`
`#include "PolarStereographicStandardParallelParameters.h"`
`#include "PolarStereographicScaleFactorParameters.h"`
`#include "UTMParameters.h"`
`#include "BNGCoordinates.h"`
`#include "CartesianCoordinates.h"`
`#include "GARSCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "GEOREFCoordinates.h"`
`#include "MapProjectionCoordinates.h"`
`#include "MGRSorUSNGCoordinates.h"`
`#include "UPSCoordinates.h"`
`#include "UTMCoordinates.h"`
`#include "AlbersEqualAreaConic.h"`
`#include "AzimuthalEquidistant.h"`
`#include "Bonne.h"`
`#include "BritishNationalGrid.h"`
`#include "Cassini.h"`
`#include "CylindricalEqualArea.h"`
`#include "Eckert4.h"`
`#include "Eckert6.h"`
`#include "EquidistantCylindrical.h"`
`#include "GARS.h"`
`#include "Geocentric.h"`
`#include "GEOREF.h"`
`#include "Gnomonic.h"`
`#include "LambertConformalConic.h"`
`#include "LocalCartesian.h"`
`#include "Mercator.h"`
`#include "MGRS.h"`
`#include "MillerCylindrical.h"`
`#include "Mollweide.h"`
`#include "Neys.h"`
`#include "NZMG.h"`
`#include "ObliqueMercator.h"`
`#include "Orthographic.h"`
`#include "PolarStereographic.h"`
`#include "Polyconic.h"`
`#include "Sinusoidal.h"`
`#include "Stereographic.h"`
`#include "TransverseCylindricalEqualArea.h"`
`#include "TransverseMercator.h"`
`#include "UPS.h"`
`#include "USNG.h"`
`#include "UTM.h"`
`#include "VanDerGrinten.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`
`#include "WarningMessages.h"`
`#include "CCSThreadMutex.h"`
`#include "CCSThreadLock.h"`

Go to the source code of this file.

## Variables

const double | PI = 3.14159265358979323e0

## Variable Documentation

const double PI = 3.14159265358979323e0

Definition at line 176 of file CoordinateConversionService.cpp.